Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 178112 - system-config-authentication dialog is too big and needs relayout
Summary: system-config-authentication dialog is too big and needs relayout
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: authconfig
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-17 20:48 UTC by Christopher Aillon
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: authconfig-5.2.0-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-06 17:27:24 UTC


Attachments (Terms of Use)
Glade file with improved design (deleted)
2006-01-31 14:01 UTC, Tomas Mraz
no flags Details
Glade file with improved design II (deleted)
2006-02-01 14:04 UTC, Tomas Mraz
no flags Details

Description Christopher Aillon 2006-01-17 20:48:27 UTC
The dialog is just plain bad.  Bryan, can you offer some design thoughts on this
dialog?

Comment 1 Tomas Mraz 2006-01-18 09:48:06 UTC
I completely agree.

The long texts should be at least collapsed somehow showing them only as
tooltips or on some 'Help' or 'Info' buttons press. There is no sense showing
always the long information texts.


Comment 2 Tomas Mraz 2006-01-31 14:01:45 UTC
Created attachment 123910 [details]
Glade file with improved design

What do you think about this? Any other comments?

Comment 3 Tomas Mraz 2006-02-01 14:04:03 UTC
Created attachment 123960 [details]
Glade file with improved design II

This version moves options to a separate tab - makes the dialog even shorter
and there will be some place for more options. (As I wanted to add there
setting for length of validity of authentication ticket for console helper.)

Which one do you like more?

Comment 4 Christopher Aillon 2006-02-01 20:03:25 UTC
Keep all options with the tab they relate to.  So, version 1 is the better of
the two.

I'd argue that you should use 'h' as the accesskey for Use shadow passwords, and
use 'S' for the SMB checkbox to keep up the pattern of using the first letter
for the other checkboxes.

Comment 5 Tomas Mraz 2006-02-06 17:27:24 UTC
Used the first .glade file as suggested. (As I didn't want to change translated
strings I didn't move the accesskey.)



Note You need to log in before you can comment on or make changes to this bug.